using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Elecciones.Database.Migrations
{
    /// <inheritdoc />
    public partial class AddComandoAndImpugnadosVotesToEstadoRecuento : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<long>(
                name: "VotosComando",
                table: "EstadosRecuentos",
                type: "bigint",
                nullable: false,
                defaultValue: 0L);

            migrationBuilder.AddColumn<decimal>(
                name: "VotosComandoPorcentaje",
                table: "EstadosRecuentos",
                type: "decimal(18,4)",
                precision: 18,
                scale: 4,
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<long>(
                name: "VotosImpugnados",
                table: "EstadosRecuentos",
                type: "bigint",
                nullable: false,
                defaultValue: 0L);

            migrationBuilder.AddColumn<decimal>(
                name: "VotosImpugnadosPorcentaje",
                table: "EstadosRecuentos",
                type: "decimal(18,4)",
                precision: 18,
                scale: 4,
                nullable: false,
                defaultValue: 0m);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "VotosComando",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "VotosComandoPorcentaje",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "VotosImpugnados",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "VotosImpugnadosPorcentaje",
                table: "EstadosRecuentos");
        }
    }
}
